Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-11621

Upgrade Weld to 3.1.0.Final

    Details

      Description

      Weld 3.1.0.Final release is scheduled in early Feb, so this is a tracking issue for now. It is going to bump the minor version of Weld core and API as it contains several API/SPI changes and will need adjustments on WFLY side.

      Namely it:

      • Brings new API for class(WELD-2556) defining which will leverage jboss-modules (ClassDefiner
        • This will need impl on WFLY side (draft on my branch) assuming jboss-modules 1.9 makes it to WFLY in time
        • Required for any JDK 12 execution with Weld
      • Removes deprecated code from API/SPI (WELD-2558)
      • Brings new API for CDI context propagation (WELD-2497)
        • This is no-op for WFLY as it doesn't use this API
      • [plus some changes on Weld core side]

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  manovotn Matěj Novotný
                  Reporter:
                  manovotn Matěj Novotný
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: